Imports IntraSell_DLL
Partial Class dsMitarbeiter
    Partial Class ofmitarbeiterDataTable
        Dim idnrLoeschen
        Private Sub ofmitarbeiterDataTable_ofmitarbeiterRowChanging(sender As Object, e As ofmitarbeiterRowChangeEvent) Handles Me.ofmitarbeiterRowChanging
            'Ignore
        End Sub

        Private Sub ofmitarbeiterDataTable_ofmitarbeiterRowDeleting(sender As Object, e As ofmitarbeiterRowChangeEvent) Handles Me.ofmitarbeiterRowDeleting
            idnrLoeschen = e.Row.IDNR
        End Sub

        Private Sub ofmitarbeiterDataTable_ofmitarbeiterRowDeleted(sender As Object, e As ofmitarbeiterRowChangeEvent) Handles Me.ofmitarbeiterRowDeleted

            Dim hatVorgaenge = FirstRow("select count(Nummer) from buchVorgang where mitarbeiternr=" & idnrLoeschen)

            If IsNumeric(hatVorgaenge) AndAlso CInt(hatVorgaenge) > 0 Then
                MsgBox("Mitarbeiter " & idnrLoeschen & " hat bereits " & hatVorgaenge & " Vorgänge. Löschen ist nicht erlaubt.", vbOKOnly)
                e.Row.RejectChanges()
                Return
            End If

            If MsgBox("Sind Sie sicher!", vbYesNo) = vbNo Then
                e.Row.RejectChanges()
            End If
        End Sub
    End Class

    Partial Class _ofmitarbeiter_rechteDataTable

        Private Sub _ofmitarbeiter_rechteDataTable_ColumnChanging(sender As Object, e As DataColumnChangeEventArgs) Handles Me.ColumnChanging
            If (e.Column.ColumnName = ErlaubtColumn.ColumnName) AndAlso IsDBNull(e.ProposedValue) Then
                e.ProposedValue = 0
                e.Row("Erlaubt") = 0
            End If
        End Sub

    End Class

End Class
